Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(69)

Issue 2879453002: [Dashboard] Get or create ancestors in add_histograms_queue (Closed)

Created:
6 months, 2 weeks ago by eakuefner
Modified:
6 months ago
Reviewers:
shatch, sh
CC:
catapult-reviews_chromium.org, perf-dashboard-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
catapult
Visibility:
Public.

Description

Patch Set 1 #

Patch Set 2 : done #

Total comments: 6

Patch Set 3 : Address Simon's comments #

Patch Set 4 : fleshed out test and fixed bugs #

Patch Set 5 : actually add new add_point_queue test #

Total comments: 4

Patch Set 6 : Address Simon's last round of comments #

Patch Set 7 : fix failing unit add_point test #

Unified diffs Side-by-side diffs Delta from patch set Stats (+121 lines, -27 lines) Patch
M dashboard/dashboard/add_histograms_queue.py View 1 2 3 4 5 3 chunks +37 lines, -6 lines 0 comments Download
M dashboard/dashboard/add_histograms_queue_test.py View 1 2 3 4 5 3 chunks +57 lines, -4 lines 0 comments Download
M dashboard/dashboard/add_histograms_test.py View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M dashboard/dashboard/add_point_queue.py View 1 2 3 4 5 6 5 chunks +16 lines, -13 lines 0 comments Download
M dashboard/dashboard/add_point_queue_test.py View 1 2 3 4 4 chunks +10 lines, -3 lines 0 comments Download

Messages

Total messages: 20 (10 generated)
eakuefner
Simon, please take a look.
6 months, 1 week ago (2017-05-16 06:58:30 UTC) #3
shatch
https://codereview.chromium.org/2879453002/diff/20001/dashboard/dashboard/add_histograms_queue.py File dashboard/dashboard/add_histograms_queue.py (right): https://codereview.chromium.org/2879453002/diff/20001/dashboard/dashboard/add_histograms_queue.py#newcode10 dashboard/dashboard/add_histograms_queue.py:10: from dashboard import add_point_queue Probably want to move these ...
6 months, 1 week ago (2017-05-16 15:47:45 UTC) #4
eakuefner
Simon, please take another quick look. Adding more asserts for the ancestor creation actually revealed ...
6 months, 1 week ago (2017-05-19 18:51:48 UTC) #5
sh
lgtm https://codereview.chromium.org/2879453002/diff/80001/dashboard/dashboard/add_histograms_queue_test.py File dashboard/dashboard/add_histograms_queue_test.py (right): https://codereview.chromium.org/2879453002/diff/80001/dashboard/dashboard/add_histograms_queue_test.py#newcode37 dashboard/dashboard/add_histograms_queue_test.py:37: def testPost(self): Add a test for a diagnostic? ...
6 months, 1 week ago (2017-05-19 19:10:27 UTC) #7
shatch
wrong account lgtm
6 months, 1 week ago (2017-05-19 19:15:05 UTC) #8
eakuefner
https://codereview.chromium.org/2879453002/diff/80001/dashboard/dashboard/add_histograms_queue_test.py File dashboard/dashboard/add_histograms_queue_test.py (right): https://codereview.chromium.org/2879453002/diff/80001/dashboard/dashboard/add_histograms_queue_test.py#newcode37 dashboard/dashboard/add_histograms_queue_test.py:37: def testPost(self): On 2017/05/19 at 19:10:27, sh wrote: > ...
6 months ago (2017-05-22 21:22:28 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2879453002/100001
6 months ago (2017-05-22 21:22:37 UTC) #12
commit-bot: I haz the power
Try jobs failed on following builders: Catapult Linux Tryserver on master.tryserver.client.catapult (JOB_FAILED, https://build.chromium.org/p/tryserver.client.catapult/builders/Catapult%20Linux%20Tryserver/builds/7606)
6 months ago (2017-05-22 21:28:27 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2879453002/120001
6 months ago (2017-05-22 22:43:08 UTC) #17
commit-bot: I haz the power
6 months ago (2017-05-22 23:07:14 UTC) #20
Message was sent while issue was closed.
Committed patchset #7 (id:120001) as
https://chromium.googlesource.com/external/github.com/catapult-project/catapu...

Powered by Google App Engine
This is Rietveld efc10ee0f